Commit c5ad1cb1 authored by Guido Gunther's avatar Guido Gunther

Add Debian's upstream packaging

This is as of f9884b3ff08602fe012607196f100dbcf2015641
parent 586f4040
#!/bin/sh
set -x
set -e
builddir="$1"
platform="$2"
subarch="$3"
case $platform in
dragonboard820c)
pagesize=4096
base=0x80000000
;;
dragonboard410c)
pagesize=2048
base=0x80000000
;;
*)
echo "unknown platform ${platform}"
exit 1
;;
esac
touch ${builddir}/rd
skales-dtbtool -o "${builddir}/dt.img" "${builddir}/arch/arm/dts"
skales-mkbootimg --kernel "${builddir}/u-boot-dtb.bin" \
--output="${builddir}/u-boot.img" --dt="${builddir}/dt.img" \
--pagesize "${pagesize}" --base "${base}" \
--ramdisk="${builddir}/rd" --cmdline=""
echo "${builddir}/u-boot.img" "/usr/lib/u-boot/${platform}/" \
>> "debian/build/targets.${subarch}"
#!/bin/sh
set -e
dtmodel="/sys/firmware/devicetree/base/model"
if [ -z "$TARGET" ] && [ -f "${dtmodel}" ]; then
case $(cat "${dtmodel}") in
Firefly-RK3288)
TARGET="/usr/lib/u-boot/firefly-rk3288"
UBOOT_IMAGE="u-boot.img"
;;
Firefly-RK3399|"Firefly-RK3399 Board")
TARGET="/usr/lib/u-boot/firefly-rk3399"
;;
"Pine64 Pinebook Pro")
TARGET="/usr/lib/u-boot/pinebook-pro-rk3399"
;;
"Pine64 Rock64")
TARGET="/usr/lib/u-boot/rock64-rk3328"
;;
"Pine64 RockPro64")
TARGET="/usr/lib/u-boot/rockpro64-rk3399"
;;
"Radxa ROCK Pi 4")
TARGET="/usr/lib/u-boot/rock-pi-4-rk3399"
;;
*)
echo >&2 "ERROR: Unknown system: ${dtmodel}"
echo >&2 "Specify target: TARGET=/usr/lib/u-boot/UBOOT"
exit 1
;;
esac
fi
LOADER_IMAGE=${LOADER_IMAGE:-"idbloader.img"}
UBOOT_IMAGE=${UBOOT_IMAGE:-"u-boot.itb"}
DEV="$1"
if [ -z "$DEV" ] || ! shift || [ -n "$*" ]; then
echo >&2 "Usage: $0 /dev/your-sd-or-mmc-or-image"
exit 1
fi
if [ ! -w "$DEV" ] && [ -z "$FORCE" ]; then
echo >&2 "$0: device/image ($DEV) must be writable"
exit 1
fi
# FIXME/TODO: check for overwriting partitions overlapping sectors
# 16384-24575, unless using a compatible partition layout:
# http://opensource.rock-chips.com/wiki_Partitions
# loader1 64-7168 idbloader.img
# loader2 16384-24575 u-boot.itb/u-boot.img
# trust 24576-32767
echo "Writing idbloader"
dd conv=notrunc if=${TARGET}/${LOADER_IMAGE} of="$DEV" seek=64
echo "Writing u-boot image"
dd conv=notrunc if=${TARGET}/${UBOOT_IMAGE} of="$DEV" seek=16384
sync "$DEV"
#!/bin/sh
set -e
dtmodel="/sys/firmware/devicetree/base/model"
if [ -z "$TARGET" ] && [ -f "${dtmodel}" ]; then
case $(cat "${dtmodel}") in
Pinebook) TARGET="/usr/lib/u-boot/pinebook" ;;
Pine64+) TARGET="/usr/lib/u-boot/pine64_plus" ;;
"Pine64 LTS") TARGET="/usr/lib/u-boot/pine64-lts" ;;
"Olimex A64-Olinuxino") TARGET="/usr/lib/u-boot/a64-olinuxino/" ;;
"Olimex A64-Olinuxino-eMMC") TARGET="/usr/lib/u-boot/a64-olinuxino-emmc" ;;
"Olimex A64 Teres-I") TARGET="/usr/lib/u-boot/teres_i/" ;;
"OrangePi Zero Plus2") TARGET="/usr/lib/u-boot/orangepi_zero_plus2/" ;;
"FriendlyARM NanoPi NEO 2") TARGET="/usr/lib/u-boot/nanopi_neo2/" ;;
"FriendlyARM NanoPi NEO Plus2") TARGET="/usr/lib/u-boot/nanopi_neo_plus2/" ;;
esac
fi
atf="/usr/lib/arm-trusted-firmware/sun50i_a64/bl31.bin"
if [ -z "$BL31" ] && [ -f "${atf}" ]; then
BL31="${atf}"
fi
TARGET=${TARGET:-"/usr/lib/u-boot/pine64_plus"}
BL31=${BL31:-"/usr/lib/atf/sun50iw1p1/bl31.bin"}
FIT_GENERATOR=${FIT_GENERATOR:-"mksunxi_fit_atf"}
case "$1" in
-f|--force)
FORCE=y
shift;;
-*)
echo >&2 "$0: unknown option '$1'"
exit 1;;
esac
if [ -z "$(which mkimage)" ]; then
echo >&2 "$0: mkimage: command not found. Please install u-boot-tools."
exit 1
fi
DEV="$1"
if [ -z "$DEV" ] || ! shift || [ -n "$*" ]; then
echo >&2 "Usage: $0 /dev/your-sd-or-mmc-or-image"
exit 1
fi
if [ ! -w "$DEV" ] && [ -z "$FORCE" ]; then
echo >&2 "$0: device/image ($DEV) must be writable"
exit 1
fi
DEV="$(readlink -f "$DEV")"
DIR="$(mktemp -d)"
trap 'rm -rf "$DIR"' 0
# Build tools get confused by paths, thus let's copy all the pieces into
# one dir.
if [ ! -w "$DEV" ] && [ -z "$FORCE" ]; then
echo >&2 "$0: device/image ($DEV) not accessible via abs path?!?"
exit 1
fi
cd "$DIR"
if [ -z "$FORCE" ]; then
# A very simple sanity check. GPT mandates a "protective MBR" so this works
# even with GPT partitioning.
printf '%b' '\0125\0252' >mbr-sign
if ! cmp -s -i 0:510 -n 2 mbr-sign "$DEV"; then
echo >&2 "$0: device/image ($DEV) has no MBR partition table"
exit 1
fi
# But, on sunxi64, spl will trample upon GPT.
printf "EFI PART" >gpt-sign
if cmp -s -i 0:512 -n 8 gpt-sign "$DEV"; then
echo >&2 "$0: device/image ($DEV) uses GPT partition table, unusable on sunxi64"
exit 1
fi
fi
cp -p $TARGET/*.dtb $TARGET/*.bin .
BL31=$BL31 \
$FIT_GENERATOR *.dtb > u-boot.its
mkimage -f u-boot.its u-boot.itb
echo "Writing sunxi-spl"
dd conv=notrunc if=sunxi-spl.bin of="$DEV" bs=8k seek=1
echo "Writing u-boot FIT image"
dd conv=notrunc if=u-boot.itb of="$DEV" bs=8k seek=5
sync "$DEV"
#!/bin/sh
target=$1
docs="$2"
subarch_install_file="debian/build/targets.${target}"
if [ -f "${subarch_install_file}" ]; then
cat "${subarch_install_file}"
fi
for doc in ${docs} ; do
echo ${doc} /usr/share/doc/u-boot-${target}/
done
#!/bin/sh
target_file=debian/targets
awk '/^[a-z0-9]/{print $2}' ${target_file} | sort -u | while read subarch ; do
case ${subarch} in
-) package=u-boot ;;
*) package=u-boot-${subarch} ;;
esac
overrides=debian/${package}.lintian-overrides
cat >${overrides}<<EOF
# There are no file conflicts across architectures for u-boot, as each
# target is only installed on a single architecture. In theory, some
# targets could be built on multiple architectures, but could instead install
# the package for the architecture needed.
EOF
sed -n "/^[a-z0-9].*[[:space:]]$subarch[[:space:]]/p" ${target_file} | while read arch subarch2 platform targets ; do
echo "${package} binary: arch-dependent-file-not-in-arch-specific-directory usr/lib/u-boot/*/uboot.elf"
done | LC_ALL=C sort -u >> ${overrides}
cat >>${overrides}<<EOF
# These bootloaders need to be statically linked.
EOF
sed -n "/^[a-z0-9].*[[:space:]]$subarch[[:space:]]/p" ${target_file} | while read arch subarch2 platform targets ; do
echo "${package} binary: statically-linked-binary usr/lib/u-boot/*/uboot.elf"
done | LC_ALL=C sort -u >> ${overrides}
cat >>${overrides}<<EOF
# These are bootloader binaries, and have no external dependency information
EOF
sed -n "/^[a-z0-9].*[[:space:]]$subarch[[:space:]]/p" ${target_file} | while read arch subarch2 platform targets ; do
echo "${package} binary: shared-library-lacks-prerequisites usr/lib/u-boot/*/uboot.elf"
done | LC_ALL=C sort -u >> ${overrides}
cat >>${overrides}<<EOF
${package}: description-synopsis-starts-with-article
EOF
done
package=u-boot-qemu
overrides=debian/${package}.lintian-overrides
cat >>${overrides}<<EOF
# These are binary firmware blobs
EOF
sed -n "/^all:.*[[:space:]]qemu[[:space:]]/p" ${target_file} | while read arch subarch2 platform targets ; do
echo "${package} binary: arch-independent-package-contains-binary-or-object usr/lib/u-boot/*/uboot.elf"
done | LC_ALL=C sort -u >> ${overrides}
#!/bin/sh
for file in debian/build/platforms.* ; do
subarch=$(echo ${file} | sed -e 's,.*platforms.,,g')
case "${subarch}" in
-) package=u-boot ;;
*) package=u-boot-${subarch} ;;
esac
echo $(LC_ALL=C sort -u ${file}) | \
sed -e 's, ,${Newline},g' \
-e 's,^,uboot:platforms=${Newline}Included platforms:${Newline},g' \
>> debian/${package}.substvars
case "${subarch}" in
rockchip|sunxi)
printf "uboot:Built-Using=$(dpkg-query -f '${source:Package} (= ${source:Version}) [arm64]' -W arm-trusted-firmware)\n"\
>> debian/${package}.substvars
;;
esac
done
This diff is collapsed.
Source: u-boot
Section: admin
Priority: optional
Maintainer: Vagrant Cascadian <vagrant@debian.org>
Uploaders: Loïc Minier <lool@debian.org>, Clint Adams <clint@debian.org>
Build-Depends:
arm-trusted-firmware (>= 2.2-3~) [arm64],
bc,
bison,
debhelper-compat (= 13),
device-tree-compiler,
dpkg-dev (>= 1.17.14),
flex,
libfdt-dev:native [arm64],
libc6:arm64 [arm64] <cross !pkg.uboot.notools>,
libc6:armhf [armhf] <cross !pkg.uboot.notools>,
libc6:armel [armel] <cross !pkg.uboot.notools>,
libc6:riscv64 [riscv64] <cross !pkg.uboot.notools>,
libpython3-dev:native [linux-any],
python3:any [linux-any],
python3-distutils [linux-any],
swig [linux-any],
lzop [armhf] <!cross> | lzop:native [armhf] <cross>,
Build-Depends-Indep:
# For u-boot-qemu targets
gcc-i686-linux-gnu [!i386],
gcc-arm-linux-gnueabihf [!armhf],
gcc-aarch64-linux-gnu [!arm64],
gcc-riscv64-linux-gnu [!riscv64],
gcc-x86-64-linux-gnu [!amd64],
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: http://www.denx.de/wiki/U-Boot/
Vcs-Browser: https://salsa.debian.org/debian/u-boot
Vcs-Git: https://salsa.debian.org/debian/u-boot.git
Package: u-boot
Architecture: armel armhf avr32 mips sh4
Multi-Arch: same
Depends: ${misc:Depends},
u-boot-imx [armhf], u-boot-omap [armhf], u-boot-sunxi [armhf], u-boot-exynos [armhf], u-boot-qemu [mips]
Description: A boot loader for embedded systems
Das U-Boot is a cross-platform bootloader for embedded systems,
used as the default boot loader by several board vendors. It is
intended to be easy to port and to debug, and runs on many
supported architectures, including PPC, ARM, MIPS, x86, m68k,
NIOS, and Microblaze.
${uboot:platforms}
Package: u-boot-amlogic
Architecture: arm64
Multi-Arch: same
Depends: ${misc:Depends}
Recommends: arm-trusted-firmware [arm64]
Description: A boot loader for amlogic systems
Das U-Boot is a cross-platform bootloader for embedded systems,
used as the default boot loader by several board vendors. It is
intended to be easy to port and to debug, and runs on many
supported architectures, including PPC, ARM, MIPS, x86, m68k,
NIOS, and Microblaze.
.
This package includes boot loaders for various amlogic platforms.
${uboot:platforms}
Package: u-boot-imx
Architecture: armhf
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: u-boot (<< 2014.10~rc2+dfsg1-2~)
Replaces: u-boot (<< 2014.10~rc2+dfsg1-2~)
Description: A boot loader for imx systems
Das U-Boot is a cross-platform bootloader for embedded systems,
used as the default boot loader by several board vendors. It is
intended to be easy to port and to debug, and runs on many
supported architectures, including PPC, ARM, MIPS, x86, m68k,
NIOS, and Microblaze.
.
This package includes boot loaders for various imx platforms.
${uboot:platforms}
Package: u-boot-qemu
Architecture: all
Depends: ${misc:Depends}
Breaks: u-boot (<< 2019.01+dfsg-2)
Replaces: u-boot (<< 2019.01+dfsg-2)
Description: A boot loader for qemu
Das U-Boot is a cross-platform bootloader for embedded systems,
used as the default boot loader by several board vendors. It is
intended to be easy to port and to debug, and runs on many
supported architectures, including PPC, ARM, MIPS, x86, m68k,
NIOS, and Microblaze.
.
This package includes boot loaders for qemu/kvm.
${uboot:platforms}
Package: u-boot-qcom
Architecture: arm64
Multi-Arch: same
Depends: ${misc:Depends}
Description: A boot loader for qcom systems
Das U-Boot is a cross-platform bootloader for embedded systems,
used as the default boot loader by several board vendors. It is
intended to be easy to port and to debug, and runs on many
supported architectures, including PPC, ARM, MIPS, x86, m68k,
NIOS, and Microblaze.
.
This package includes boot loaders for various qcom platforms.
${uboot:platforms}
Package: u-boot-tegra
Architecture: armhf arm64
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: u-boot (<< 2014.10~rc2+dfsg1-2~)
Replaces: u-boot (<< 2014.10~rc2+dfsg1-2~)
Description: A boot loader for NVIDIA Tegra systems
Das U-Boot is a cross-platform bootloader for embedded systems,
used as the default boot loader by several board vendors. It is
intended to be easy to port and to debug, and runs on many
supported architectures, including PPC, ARM, MIPS, x86, m68k,
NIOS, and Microblaze.
.
This package includes boot loaders for various NVIDIA Tegra platforms.
${uboot:platforms}
Package: u-boot-omap
Architecture: armhf
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: u-boot (<< 2014.10~rc2+dfsg1-2~)
Replaces: u-boot (<< 2014.10~rc2+dfsg1-2~)
Description: A boot loader for omap systems
Das U-Boot is a cross-platform bootloader for embedded systems,
used as the default boot loader by several board vendors. It is
intended to be easy to port and to debug, and runs on many
supported architectures, including PPC, ARM, MIPS, x86, m68k,
NIOS, and Microblaze.
.
This package includes boot loaders for various omap and related
platforms.
${uboot:platforms}
Package: u-boot-sunxi
Architecture: armhf arm64
Multi-Arch: same
Built-Using: ${uboot:Built-Using}
Depends: ${misc:Depends}
Recommends: arm-trusted-firmware [arm64], u-boot-tools [arm64]
Breaks: u-boot (<< 2014.10~rc2+dfsg1-2~)
Replaces: u-boot (<< 2014.10~rc2+dfsg1-2~)
Description: A boot loader for sunxi systems
Das U-Boot is a cross-platform bootloader for embedded systems,
used as the default boot loader by several board vendors. It is
intended to be easy to port and to debug, and runs on many
supported architectures, including PPC, ARM, MIPS, x86, m68k,
NIOS, and Microblaze.
.
This package includes boot loaders for various Allwinner/sunxi
platforms.
${uboot:platforms}
Package: u-boot-exynos
Architecture: armhf
Multi-Arch: same
Depends: ${misc:Depends}
Description: A boot loader for exynos systems
Das U-Boot is a cross-platform bootloader for embedded systems,
used as the default boot loader by several board vendors. It is
intended to be easy to port and to debug, and runs on many
supported architectures, including PPC, ARM, MIPS, x86, m68k,
NIOS, and Microblaze.
.
This package includes boot loaders for various Exynos platforms.
${uboot:platforms}
Package: u-boot-mvebu
Architecture: arm64
Multi-Arch: same
Depends: ${misc:Depends}
Description: A boot loader for marvell systems
Das U-Boot is a cross-platform bootloader for embedded systems,
used as the default boot loader by several board vendors. It is
intended to be easy to port and to debug, and runs on many
supported architectures, including PPC, ARM, MIPS, x86, m68k,
NIOS, and Microblaze.
.
This package includes boot loaders for various Marvell platforms.
${uboot:platforms}
Package: u-boot-rockchip
Architecture: armhf arm64
Multi-Arch: same
Built-Using: ${uboot:Built-Using}
Depends: ${misc:Depends}
Recommends: python3, arm-trusted-firmware [arm64], u-boot-tools [arm64]
Description: A boot loader for rockchip systems
Das U-Boot is a cross-platform bootloader for embedded systems,
used as the default boot loader by several board vendors. It is
intended to be easy to port and to debug, and runs on many
supported architectures, including PPC, ARM, MIPS, x86, m68k,
NIOS, and Microblaze.
.
This package includes boot loaders for various Rockchip platforms.
${uboot:platforms}
Package: u-boot-rpi
Architecture: armel armhf arm64
Multi-Arch: same
Depends: ${misc:Depends}
Description: A boot loader for Raspberry PI systems
Das U-Boot is a cross-platform bootloader for embedded systems,
used as the default boot loader by several board vendors. It is
intended to be easy to port and to debug, and runs on many
supported architectures, including PPC, ARM, MIPS, x86, m68k,
NIOS, and Microblaze.
.
This package includes boot loaders for various Raspberry PI
platforms.
${uboot:platforms}
Package: u-boot-sifive
Architecture: riscv64
Multi-Arch: same
Depends: ${misc:Depends}
Description: A boot loader for SiFive systems
Das U-Boot is a cross-platform bootloader for embedded systems,
used as the default boot loader by several board vendors. It is
intended to be easy to port and to debug, and runs on many
supported architectures, including PPC, ARM, MIPS, x86, m68k,
NIOS, and Microblaze.
.
This package includes boot loaders for various SiFive
platforms.
${uboot:platforms}
Package: u-boot-tools
Architecture: linux-any
Build-Profiles: <!pkg.uboot.notools>
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: device-tree-compiler,
libubootenv-tool,
Breaks: uboot-envtools (<< 20081215-3~),
uboot-mkimage (<= 0.4build1),
u-boot (<< 2010.12-2)
Replaces: uboot-envtools (<< 20081215-3~),
uboot-mkimage (<= 0.4build1),
u-boot (<< 2010.12-2)
Description: companion tools for Das U-Boot bootloader
This package includes programs for generating and listing U-Boot
images in various formats:
- mkimage
- dumpimage
- mksunxiboot
- mkenvimage
This diff is collapsed.
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
#
# XXX this configuration might miss a fifth parameter for the "Number of
# sectors"
# MTD device name Device offset Env. size Flash sector size
/dev/mtd1 0x00000 0x10000 0x01000
# Configuration file for fw_(printenv/saveenv) utility.
#
# XXX this configuration might miss a fifth parameter for the "Number of
# sectors"
# MTD device name Device offset Env. size Flash sector size
/dev/mtd1 0x0 0x20000 0x20000
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
#
# XXX this configuration might miss a fifth parameter for the "Number of
# sectors"
# MTD device name Device offset Env. size Flash sector size
/dev/mtd0 0x3F000 0x1000 0x1000
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundand
# environment sector is assumed present.
# for Buffalo Linkstation Mini
# MTD device name Device offset Env. size Flash sector size
/dev/mtd0 0x3f000 0x01000 0x01000
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
#
# XXX this configuration might miss a fifth parameter for the "Number of
# sectors"
# MTD device name Device offset Env. size Flash sector size
/dev/mtd0 0x3F000 0x1000 0x1000
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
#
# XXX this configuration might miss a fifth parameter for the "Number of
# sectors"
# MTD device name Device offset Env. size Flash sector size
/dev/mtd0 0x30000 0x10000 0x10000
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
#
# XXX this configuration might miss a fifth parameter for the "Number of
# sectors"
# MTD device name Device offset Env. size Flash sector size
/dev/mtd4 0x360000 0x10000 0x10000
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
#
# XXX this configuration might miss a fifth parameter for the "Number of
# sectors"
# MTD device name Device offset Env. size Flash sector size
/dev/mmcblk0 0x80000 0x2000
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
# Notice, that the "Number of sectors" is ignored on NOR.
# MTD device name Device offset Env. size Flash sector size Number of sectors
/dev/mtd1 0x0000 0x4000 0x4000 2
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
# Notice, that the "Number of sectors" is ignored on NOR.
# MTD device name Device offset Env. size Flash sector size Number of sectors
/dev/mtd2 0x0000 0x40000 0x20000 2
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
#
# XXX this configuration might miss a fifth parameter for the "Number of
# sectors"
# MTD device name Device offset Env. size Flash sector size
# Legacy u-boot versions:
#/dev/mtd0 0xa0000 0x20000 0x20000
# New u-boot versions:
/dev/mtd0 0x60000 0x20000 0x20000
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
#
# XXX this configuration might miss a fifth parameter for the "Number of
# sectors"
# MTD device name Device offset Env. size Flash sector size
/dev/mtd5 0x00000 0x20000 0x20000
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
#
# XXX this configuration might miss a fifth parameter for the "Number of
# sectors"
# MTD device name Device offset Env. size Flash sector size
/dev/mtd4 0x0000 0x20000 0x20000
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
#
# This config is for QNAP TS-119, TS-219 and TS-219P boards.
#
# XXX this configuration might miss a fifth parameter for the "Number of
# sectors"
# MTD device name Device offset Env. size Flash sector size
/dev/mtd4 0x0000 0x1000 0x40000
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
#
# XXX this configuration might miss a fifth parameter for the "Number of
# sectors"
# MTD device name Device offset Env. size Flash sector size
# Legacy u-boot versions:
#/dev/mtd0 0x60000 0x20000 0x20000
# New u-boot versions:
/dev/mtd0 0x80000 0x20000 0x20000
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
#
# XXX this configuration might miss a fifth parameter for the "Number of
# sectors"
# MTD device name Device offset Env. size Flash sector size
/dev/mmcblk0 0xC0000 0x2000
# Configuration file for fw_(printenv/saveenv) utility.